<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroNotificationViewModel extends Entity {
	protected $id;
	protected $reference_id;
	protected $created_at;
	protected $shipping;
	protected $items;
	protected $customer;
	protected $charges;
	protected $qr_code;
	protected $links;

	public static function builder(): PagSeguroNotificationViewModelBuilder {

		return new PagSeguroNotificationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferenceId() {

		return $this->reference_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreatedAt() {

		return $this->created_at;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getShipping() {

		return $this->shipping;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getItems() {

		return $this->items;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCustomer() {

		return $this->customer;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCharges() {

		return $this->charges;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQrCode() {

		return $this->qr_code;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getLinks() {

		return $this->links;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $reference_id
	 */
	public function setReferenceId($reference_id) {

		$this->reference_id = $reference_id;

	}

	/**
	 *
	 * @param mixed $created_at
	 */
	public function setCreatedAt($created_at) {

		$this->created_at = $created_at;

	}

	/**
	 *
	 * @param mixed $shipping
	 */
	public function setShipping($shipping) {

		$this->shipping = $shipping;

	}

	/**
	 *
	 * @param mixed $items
	 */
	public function setItems($items) {

		$this->items = $items;

	}

	/**
	 *
	 * @param mixed $customer
	 */
	public function setCustomer($customer) {

		$this->customer = $customer;

	}

	/**
	 *
	 * @param mixed $charges
	 */
	public function setCharges($charges) {

		$this->charges = $charges;

	}

	/**
	 *
	 * @param mixed $qr_code
	 */
	public function setQrCode($qr_code) {

		$this->qr_code = $qr_code;

	}

	/**
	 *
	 * @param mixed $links
	 */
	public function setLinks($links) {

		$this->links = $links;

	}

}

